%kmdl drbd

Summary: Distributed Replicated Block Device.
Name: drbd
Version: 8.0.16
Release: 25%{?dist}
License: GPL
Group: System Environment/Kernel
URL: http://www.drbd.org/
Source0: http://oss.linbit.com/drbd/8.0/%{name}-%{version}.tar.gz
Patch0: drbd-8.0.16-kernel-2.6.30-compile-fix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: bison, m4, flex
BuildRequires: /etc/redhat-release
%kmdl_parentdependencies

%description
DRBD is a block device which is designed to build high availability
clusters. This is done by mirroring a whole block device via (a
dedicated) network. You could see it as a network raid-1.

%package -n %kmdl_name
%kmdl_dependencies
Summary: Distributed Redundant Block Device.
Group: System Environment/Kernel

%description -n %kmdl_name
DRBD is a block device which is designed to build high availability
clusters. This is done by mirroring a whole block device via (a
dedicated) network. You could see it as a network raid-1.

%kmdl_desc

%prep
%setup -q
%patch0 -p1 -b .owner

%build
%if %{kmdl_userland}

make SUBDIRS="user documentation scripts benchmark" KDIR=%{kmdl_kernelsrcdir}

%else

cd drbd
make clean
make KDIR=%{kmdl_kernelsrcdir}

%endif

%install
rm -rf %{buildroot}
%if %{kmdl_userland}

make install SUBDIRS="user documentation scripts benchmark" PREFIX=%{buildroot} KVER=dummy

%else
mkdir -p %{buildroot}%{kmdl_moduledir}/drivers/block
cd drbd
make KDIR=%{kmdl_kernelsrcdir} PREFIX=%{buildroot} install
mv %{buildroot}%{kmdl_moduledir}/../kernel/drivers/block/* %{buildroot}%{kmdl_moduledir}/drivers/block/

%endif

%clean
rm -rf %{buildroot}

%post -n %kmdl_name
%kmdl_install

%postun -n %kmdl_name
%kmdl_remove

%if %{kmdl_userland}

%files
%defattr(-,root,root,-)
%doc README* ChangeLog COPYING
%config(noreplace) %{_sysconfdir}/drbd.conf
%config(noreplace) %{_sysconfdir}/xen/scripts/block-drbd
%{_initdir}/drbd
%config(noreplace) %{_sysconfdir}/ha.d/resource.d/drbddisk
/sbin/drbdsetup
/sbin/drbdadm
/sbin/drbdmeta
%{_sbindir}/drbd-overview
#%{_libdir}/drbd
/usr/lib/drbd
%{_mandir}/man8/drbdadm.8*
%{_mandir}/man5/drbd.conf.5*
%{_mandir}/man8/drbddisk.8*
%{_mandir}/man8/drbd.8*
%{_mandir}/man8/drbdsetup.8*
%{_mandir}/man8/drbdmeta.8*

%else

%files -n %kmdl_name
%defattr(-,root,root,-)
%{kmdl_moduledir}

%endif

%changelog
* Tue Sep  8 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 8.0.16-25
- Fix build on 2.6.30.

* Mon Apr 20 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 8.0.16-24
- Update to 8.0.16.

* Sun Dec  7 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 8.0.14-23
- Update to 8.0.14.

* Fri Oct  3 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 8.0.13-22
- Update to 8.0.13.

* Sun May 18 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 8.0.12-21
- Update to 8.0.12.

* Sat Mar 22 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 8.0.11-20
- Update to 8.0.11.

* Fri Nov 23 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 8.0.7-19
- Update to 8.0.7.

* Tue Jul 31 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 8.0.4-18
- Update to 8.0.4.

* Tue Jul 31 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.7.24-17
- Update to 0.7.24.

* Sat Jan 13 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.7.23-15
- Update to 0.7.23.
- Fix summary (#1110).

* Tue Jan  2 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.7.22-14
- Update to 0.7.22.

* Sun Oct 22 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.7.21-13
- Update to 0.7.21.

* Mon Jul 17 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.7.20-12
- Update to 0.7.20.

* Sat Mar 25 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.7.17.

* Tue Mar  7 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.7.16.

* Tue Jul 12 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.7.11.

* Thu Apr 21 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.7.10.

* Sun Jan 23 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.7.8.

* Wed Jan 12 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.7.7.

* Sun Oct  3 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.7.5.

* Sat Jun 19 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.

